// Demo_Bibliothek_anlegen.h

#pragma once

using namespace System;

namespace Demo_Bibliothek_anlegen {

	public ref class Auto
	{		
	private:
		int geschw_max;
		int geschwindigkeit;

	public:
		Auto(void);
		Auto(int hoechstgeschw, int geschw);

		property int Geschwindigkeit
		{
			int get();
			void set(int geschw);
		}

		property int Hoechstgeschwindigkeit
		{
			int get();
		}

		void beschleunigen(int b);
		void bremsen();
	};
}
